

/*
Author        : ZULQANI FAUZI
Created Date  : 05 / 07 / 2018
Updated Date  : 16 / 07 / 2018
*/

import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams, AlertController, ModalController} from 'ionic-angular';
import {AuthService} from "../../providers/auth-service";
import {Common} from "../../providers/common";
import {RptpenjualanPage} from '../rptpenjualan/rptpenjualan';
import {RptstockPage} from '../rptstock/rptstock';
import {RptpembayaranPage} from '../rptpembayaran/rptpembayaran';
import {RptpromoPage} from '../rptpromo/rptpromo';
import {RptvoidPage} from '../rptvoid/rptvoid';
import {RptrefundPage} from '../rptrefund/rptrefund';

@IonicPage()
@Component({
    selector: 'page-report',
    templateUrl: 'report.html',
})
export class ReportPage {
    tabPenjualan = RptpenjualanPage;
    tabStock = RptstockPage;
    tabPembayaran = RptpembayaranPage;
    tabPromo = RptpromoPage;
    tabVoid = RptvoidPage;
    tabRefund = RptrefundPage;

    constructor(public modalCtrl: ModalController, public navCtrl: NavController,
        public navParams: NavParams,
        public alertCtrl: AlertController,
        public authService: AuthService,
        public common: Common) {
    }

}
